Bug 45071 - Browser plugin option not working
Summary: Browser plugin option not working
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.0 RC1
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-22 04:23 UTC by Florian Reisinger
Modified: 2014-09-09 13:34 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Reisinger 2012-01-22 04:23:28 UTC
Problem description: 

I do not have installed any LibreOffice extension while installing LibO3,5rc1

Steps to reproduce:
1. Extras --> Options --> Internet --> Browser Plugin
2.  check the box --> press ok
3. Do 1. again

Current behavior:
Box is unchecked, plugin not installed

Expected behavior:
Box is checked, plugin is installed

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.75 Safari/535.7
Comment 1 Florian Reisinger 2012-01-22 04:40:50 UTC
(In reply to comment #1)
> Problem description: 
> 
> I do not have installed any LibreOffice extension while installing LibO3,5rc1
> 
> Steps to reproduce:
> 1. Extras --> Options --> Internet --> Browser Plugin
> 2.  check the box --> press ok
> 3. Do 1. again
> 
> Current behavior:
> Box is unchecked, plugin not installed
CHANGE: Plugin IS Installed



> 
> Expected behavior:
> Box is checked, plugin is installed
> 
> Platform (if different from the browser): 
> 
> Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.7 (KHTML, like
> Gecko) Chrome/16.0.912.75 Safari/535.7
Comment 2 Cor Nouws 2012-02-06 05:14:58 UTC
Hi Florian,

(In reply to comment #1)
> > Current behavior:
> > Box is unchecked, plugin not installed
> CHANGE: Plugin IS Installed

I can confirm that. Thanks for the update.
Comment 3 Florian Reisinger 2012-02-06 05:57:28 UTC
(In reply to comment #2)
> Hi Florian,
> 
> (In reply to comment #1)
> > > Current behavior:
> > > Box is unchecked, plugin not installed
> > CHANGE: Plugin IS Installed
> 
> I can confirm that. Thanks for the update.

Well, I reopen this, because it is not working, at all!
Comment 4 Cor Nouws 2012-02-06 06:06:29 UTC
Sorry, I did not uderstand your comment and can not confirm the issue.
Maybe someone else can?
Comment 5 Florian Reisinger 2012-02-06 07:44:29 UTC
(In reply to comment #4)
> Sorry, I did not uderstand your comment and can not confirm the issue.
> Maybe someone else can?

Ok I will give you the info again, in the same way as in the original description:

Problem description: 

I do not have installed any LibreOffice extension while installing LibO3,5rc1

Steps to reproduce:
1. Extras --> Options --> Internet --> Browser Plugin
2.  check the box --> press ok
3. Do 1. again

Current behavior:
Box is unchecked, plugin _is_ installed

Expected behavior:
Box is checked, plugin is installed

Platform (if different from the browser): 

Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.7 (KHTML, like
Gecko) Chrome/16.0.912.75 Safari/535.7
Comment 6 ribotb 2012-08-09 10:32:59 UTC
I confirm this bug.

Bernard Ribot
Comment 7 Nicolas de Marqué 2012-12-12 21:21:04 UTC
I confirm too, try with 3.6.4 and 4.0.0.0.beta1.

The option appears, can be check but after reopen the menu the option is unchecked and the plugin doesn't work.

I change priority to high/major as no workarround seems works, and this functionnality block my firm for the moment in libre office adoption.
Comment 8 Joel Madero 2013-01-08 19:47:19 UTC
Setting as NEW as it's confirmed. 

I disagree with the priority (I think it should be normal as it doesn't result in data loss or crashes) but, I'll leave it and let the developers decide.

Is this a regression? If so please add it to Whiteboard status
Comment 9 Norbert X 2013-03-03 14:02:54 UTC
Hello!

I have Ubuntu 12.04.2 LTS with LibreOffice 3.5.7 + mozilla-libreoffice plugin and Gentoo with LibreOffice 4.0.0.3. Mozilla plugin works in Firefox, Seamonkey and Opera. It's great!

Google Chrome 24.0.1312.70 (Official Build 181759) detects this plug-in on file-level (it is located in /usr/lib/mozilla/plugins/libnpsoplugin.so) but reports an error "Could not load LibreOffice Plug-in" on openning *.doc file.

Is it possible to adapt this plug-in for Chrome/Chromium?

(text from my question at http://ask.libreoffice.org/en/question/12756/libreoffice-browser-plugin-for-google/).

I got the same result with Chrome 25.0.1364.97 (Official Build 183676).
Comment 10 Rainer Bielefeld Retired 2013-03-03 19:06:27 UTC
Still [Reproducible] with Server Installation of "LibO  4.0.2.0+   -  English UI / German Locale  [Build ID: 01f8d0a1dffce854a66c0f957e81e6df6d361a8)]"  {tinderbox: @6, pull time  2013-02-26 09:45:35} on German WIN7 Home Premium (64bit) with newly created user profile ….\LODev\4\

Effect that Check is not persistent already in Server Installation for 3.5.7.2. But since I checked the checbox there (without enduring effect) a black browser page appears when I click a link to an .odt instead of opening the document in LibO.

I think if we can't check the checkbox we can't expect that it works.
I wonder how it can work when I check a checkbox for this in a not installed LibO Version? May be for Win that only should be possible for a "real" installation?

@Nicolas de Marqué:
please consider:
<http://wiki.documentfoundation.org/BugReport_Details#Version>
If you also did this mistake in other Bugs please undo your Version changes there!

@Kendy:
Can you help with the strange disappearing checkmark problem?
Comment 11 Julien Nabet 2013-11-17 14:27:47 UTC
On pc Debian x86-64 with 4.1 sources updated 1 week ago, I don't reproduce this.

Florian: do you still have the problem with recent LO version?
Comment 12 Florian Reisinger 2013-11-18 08:26:46 UTC
I think, that there is no plugin??? (Okay, I saw it myself, but I do only have Chrome and IE --> Chrome won't work soon (at all) and IE plugin has not been installed --> Remove it
Comment 13 Rene Engelhard 2013-11-18 08:35:04 UTC
IMHO that option always was questionable:

eithr the admin wans it and can insatall it system-wide or the admin doesn't want it and doesn't install it.

(That+#s also the reason http://packages.debian.org/sid/i386/browser-plugin-libreoffice/filelist exists as an extra package which people can install or not; it installs the plugin system-wide)

And TTBOMK you can disable plugins locally in about:something so if the admin installed it you can still disable it?

-> option moot. At least for UNIXish systems etc, and even for Windows one probably can do that
Comment 14 bfoman (inactive) 2014-03-09 15:57:51 UTC
Seems Google decided to abandon NPAPI plugins in their browser - see http://blog.chromium.org/2013/09/saying-goodbye-to-our-old-friend-npapi.html.
Comment 15 Bryan Quigley 2014-05-01 04:24:15 UTC
Firefox is also moving away from browser plugins.  It might be time to consider dropping the plugin entirely..
https://blog.mozilla.org/security/2014/02/28/update-on-plugin-activation/
Comment 16 Julien Nabet 2014-05-26 20:32:40 UTC
Florian: any idea? Should this part  be removed from future 4.4 for example?
Comment 17 Florian Reisinger 2014-05-27 07:23:04 UTC
It should be removed. (Going back to NEW)
Comment 18 Olivier Hallot 2014-05-27 11:36:46 UTC
I think this will hit a nail in the coffin of Open Doucment Format and say R.I.P. to it, if we can't open a ODF file while navigating. 

Removing the plugin will force you to download the file and open it with LO.

With the plugin, you don't need to invoke LO each time you try to open an ODF file.

Leave this decision at least to the Engineering Steering commitee and the Board of Directors of TDF.
Comment 19 Stephan Bergmann 2014-05-27 11:51:12 UTC
(In reply to comment #12)
> I think, that there is no plugin??? (Okay, I saw it myself, but I do only
> have Chrome and IE --> Chrome won't work soon (at all) and IE plugin has not
> been installed --> Remove it

As explained at "Tools - Options... - Help - Internet - Browser Plug-in":  "The plug-in needs a version of Mozilla, Netscape, or Firefox installed on your system."
Comment 20 Julien Nabet 2014-05-27 13:23:26 UTC
(In reply to comment #19)
> As explained at "Tools - Options... - Help - Internet - Browser Plug-in": 
> "The plug-in needs a version of Mozilla, Netscape, or Firefox installed on
> your system."
Yes but https://bugs.freedesktop.org/show_bug.cgi?id=45071#c15 gives a link which indicates this:
"To provide a better and safer experience on the Web, we have been working to move Firefox away from plugins."
Now I recognize I don't know the status of this right now.
Comment 21 Florian Reisinger 2014-05-27 13:30:46 UTC
(In reply to comment #18)
> I think this will hit a nail in the coffin of Open Doucment Format and say
> R.I.P. to it, if we can't open a ODF file while navigating. 

So ODF is dead, because it is not possible??? (Windows 7 x64)Firefix: 29.0.1, IE 11.0.9600.17107 and Chrome 35.0.1916.114


> Removing the plugin will force you to download the file and open it with LO.


Did it ever work for you (in a recent version)
For testing: I downloaded Firefox and installed it
I downloaded 4.3 beta 1 and installed the plugin (fresh user profile of both Mozilla and LibO). I started Firefox, opended a odt file, which downloaded and I was requested to open it.

> 
> With the plugin, you don't need to invoke LO each time you try to open an
> ODF file.

May I ask you how it should display the file withzout LibreOffice (or OpenOffice). You cannot see it, but it must be started in the background.

> Leave this decision at least to the Engineering Steering commitee and the
> Board of Directors of TDF.

It's not working, so where is the decision.
It would be nice to know where it is not working.
Here on Win 7 it is not working for the following: IE (well there was a security note and then a white screen, so here it is very close to work), FF, Chrome.
Chrome.

So if it is FF only, I propose a String change to "<Browser name> -Plugin" instead of "Browser-Plugin".

So it would be really interesting _where_ it does work the IE plugin needs love, it destroys looking at ODF files (both x86 and x86_64 versions of IE.

"Damn, LibreOffice destroyed opening odt in IE, have to uninstall it, stupid LibreOffice" <-- This is dangerous. However I am very interested in your opinion :)
Comment 22 Bryan Quigley 2014-05-27 14:09:43 UTC
(In reply to comment #20)
> Now I recognize I don't know the status of this right now.

Firefox will be going "Click-to-play" for all not whitelisted plugins when Firefox 30 comes out (Week of June 10th).  

>Did it ever work for you (in a recent version)
Based on this bug it seems like it's been broken since 3.5.  It certainly didn't work for me on LO 4.2/Firefox 29/30/Windows XP.
Comment 23 Stephan Bergmann 2014-05-27 14:18:22 UTC
(In reply to comment #22)
> (In reply to comment #20)
> >Did it ever work for you (in a recent version)
> Based on this bug it seems like it's been broken since 3.5.  It certainly
> didn't work for me on LO 4.2/Firefox 29/30/Windows XP.

Known working for exampke in LO 4.2.4 with FF 29 on Fedora 20 x86_64.
Comment 24 Olivier Hallot 2014-05-27 14:37:52 UTC
(In reply to comment #21)

The missed opportunity for ODF, since 2003

https://issues.apache.org/ooo/show_bug.cgi?id=22406
Comment 25 bfoman (inactive) 2014-05-27 14:46:34 UTC
The time has come to use JS alternatives like http://viewerjs.org or http://webodf.org projects.
Comment 26 Florian Reisinger 2014-05-27 18:18:31 UTC
(In reply to comment #25)
> The time has come to use JS alternatives like http://viewerjs.org or
> http://webodf.org projects.

We might consider to ship a viewerJS like plugin with a "Opn in LibreOffice" button, isn't it?

(In reply to comment #23)
> (In reply to comment #22)
> > (In reply to comment #20)
> > >Did it ever work for you (in a recent version)
> > Based on this bug it seems like it's been broken since 3.5.  It certainly
> > didn't work for me on LO 4.2/Firefox 29/30/Windows XP.
> 
> Known working for exampke in LO 4.2.4 with FF 29 on Fedora 20 x86_64.

So we should disable this on !Linux as it is only working on Linux? Even maybe do a default installation? So we need someone to implement a change though......
Comment 27 Stephan Bergmann 2014-06-05 07:32:15 UTC
see <http://lists.freedesktop.org/archives/libreoffice/2014-June/061635.html> "NPAPI-based features in LO"
Comment 28 Adolfo Jayme 2014-06-16 08:37:01 UTC
(In reply to comment #25)
> The time has come to use JS alternatives like http://viewerjs.org or
> http://webodf.org projects.

That would be a better idea IMHO, because LibreOffice is not actively developing its plugin at all, why not remove it and let users use a plugin that’s actually in development?
Comment 29 Rene Engelhard 2014-06-16 08:51:07 UTC
counter question: why develop something further which just works?

(ok, not for IE, but... And maybe the option in the UI is broken _per definition_ but the plugin itself works if installed system-wide by the package, see http://lists.freedesktop.org/archives/libreoffice/2014-June/061687.html)
Comment 30 Bryan Quigley 2014-06-16 13:23:15 UTC
(In reply to comment #29)
> counter question: why develop something further which just works?

Given the discussion above it only works on Linux.  

Other reasons to remove NPAPI support:
 * It's beeing deprecated by everyone (not just browser vendors) [1]
 * It will never work in Chrome on Linux.
 * Firefox 31 does click to play with it and most other NPAPI plugins.  (If you get an exception it's for 4 releases and they want to know your plan to move away from NPAPI in that timeframe)
 * It won't ever work on Wayland/Mir.
 * NPAPI is a big security risk; at the very least we should work to sandbox NPAPI if we keep it.

What's the point of keeping it at this point?  It's the same number of clicks (with click to play) to open a document.  Is there a use case I'm missing?

[1] http://www.hadess.net/2014/04/good-bye-totem-browser-plugin.html
Comment 31 Florian Reisinger 2014-06-16 15:59:49 UTC
(In reply to comment #29)
> counter question: why develop something further which just works?
> 
> (ok, not for IE, but... And maybe the option in the UI is broken _per
> definition_ but the plugin itself works if installed system-wide by the
> package, see
> http://lists.freedesktop.org/archives/libreoffice/2014-June/061687.html)

ok, not for Windows, (not for mac??), and soon on (most) Linux distros [as most switch to Mir AFAIK]. We do not support other OS's, so where does it work?
On Linux. So IF we want to keep it, Linux only.
Destroying opening with IE is like a blocker on Windows....
Why should we keep that option. If we do not give the choice....

I really would like the ESC to talk about this....
Comment 32 Michael Meeks 2014-06-16 16:22:59 UTC
I'll put it on the ESC agenda; but I'm confused - there are a lot of comments in this bug:
A. write an awesome browser plugin so all browser can render ODF and do it years ago to help drive ODF [ sounds like one request - but this requires lots of resource + a time machine =].
B. do something about the existing NPAPI browser plugin to improve it - is there a better API to use than NPAPI (abandoned by Mozilla + Chrome) ?
C. remove the existing NPAPI browser plugin because of above API deprecation by browsers or its converse: continue to distribute a plugin that now doesn't work with modern browsers. 

I'm unclear which of these we should discuss. There is nothing stopping someone from doing A. and/or adapting our plugin to B.

Nevertheless - it's on the agenda for Thursday.
Comment 33 Michael Meeks 2014-06-17 09:46:42 UTC
You can read about the startling lack of simple replacement solutions here:

http://www.firebreath.org/display/documentation/Browser+Plugins+in+a+post-NPAPI+world

Porting to use NaCl eg. would be rather a significant task (at least for anything more than a viewer).
Comment 34 Bryan Quigley 2014-06-26 19:12:52 UTC
If we do go with C, and just drop NPAPI.  I have a few follow up patches that are in progress to do so (mostly done, but waiting for a decision before doing more).
Comment 35 Bryan Quigley 2014-07-28 17:00:02 UTC
So I think it was decided in the ESC meeting[1] to keep embedded flash capability to add to Impress, etc.  Part of the reason was because it works.. Does anyone have any sample documents where it works?

My testing using Adobe sample documents and an exported presentation from Impress is that it does not work at all.  If you have a working setup for embedding flash into LibreOffice documents, please attach one so I can ensure I don't break it.  If not, I'll proceed with code to do a full removal (as opposed to just browser plugin).

[1] http://lists.freedesktop.org/archives/libreoffice/2014-June/061914.html
Comment 36 Stephan Bergmann 2014-08-04 09:17:41 UTC
(In reply to comment #35)
> So I think it was decided in the ESC meeting[1] to keep embedded flash
> capability to add to Impress, etc.  Part of the reason was because it
> works.. Does anyone have any sample documents where it works?
> 
> My testing using Adobe sample documents and an exported presentation from
> Impress is that it does not work at all.  If you have a working setup for
> embedding flash into LibreOffice documents, please attach one so I can
> ensure I don't break it.  If not, I'll proceed with code to do a full
> removal (as opposed to just browser plugin).
> 
> [1] http://lists.freedesktop.org/archives/libreoffice/2014-June/061914.html

Can confirm on Windows 7 32-bit with Shockwave Flash plugin NPSWF32_11_5_502_110.dll installed into Firefox that LO 4.0.2 Impress "Insert - Object - Plug-in..." of some garth.swf (which I apparently once downloaded from somewhere on the web) successfully starts that animation (in accordance with <http://lists.freedesktop.org/archives/libreoffice/2012-November/041439.html> "Re: LO as an NPAPI browser plugin host?"), while doing the same in LO 4.1.0 only shows an empty frame.  So this indeed appears to got broken somewhere along the way.
Comment 37 Bryan Quigley 2014-08-05 17:00:59 UTC
Based on C#36 I've left FROM_BROWSER intact and just tried removing INTO_BROWSER.
Unfortunately, since I don't have a machine that has that working I can't test to confirm I didn't break it. 
https://gerrit.libreoffice.org/#/c/10757/
Comment 38 Commit Notification 2014-09-09 13:22:34 UTC
Bryan Quigley committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=496bc3cd6c037360632c33471c4622a095cdcadd

fdo#45071 Remove Libreoffice browser plugin



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2014-09-09 13:22:49 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d968c28287c8ffbaf6fd6da3a5d872adc8e354b4

fdo#45071: Remove ENABLE_NPAPI_INTO_BROWSER left-overs



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2014-09-09 13:24:47 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=70fc0dc34e884699f250091bebe4b9e2e858063f

fdo#45071: Remove ENABLE_NPAPI_INTO_BROWSER left-overs



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 41 Stephan Bergmann 2014-09-09 13:34:12 UTC
Bug no longer relevant since this functionality is removed.